AwtFile
Date: 2019-10-22

org.jmol.awt

## Class AwtFile

- java.lang.Object
- - java.io.File
  - - org.jmol.awt.AwtFile

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<java.io.File>, GenericFileInterface

      class AwtFile
      extends java.io.File
      implements GenericFileInterface

  a subclass of File allowing extension to JavaScript private to org.jmol.awt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `urlPrefixPairs`

    - ### Fields inherited from class java.io.File

      `pathSeparator, pathSeparatorChar, separator, separatorChar`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwtFile(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.Object` | `getBufferedFileInputStream(java.lang.String name)`
    `java.lang.String` | `getFullPath()`
    `(package private) static java.lang.String` | `getLocalUrl(GenericFileInterface file)`
    `GenericFileInterface` | `getParentAsFile()`
    `(package private) static java.lang.Object` | `getURLContents(java.net.URL url, byte[] outputBytes, java.lang.String post)`

    - ### Methods inherited from class java.io.File

      `canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.GenericFileInterface

      `getName, isDirectory, length`

- - ### Field Detail

    - #### urlPrefixPairs

          private static final java.lang.String[] urlPrefixPairs

  - ### Constructor Detail

    - #### AwtFile

          AwtFile(java.lang.String name)

  - ### Method Detail

    - #### getParentAsFile

          public GenericFileInterface getParentAsFile()

      Specified by:
        `getParentAsFile` in interface `GenericFileInterface`

    - #### getBufferedFileInputStream

          static java.lang.Object getBufferedFileInputStream(java.lang.String name)

    - #### getURLContents

          static java.lang.Object getURLContents(java.net.URL url,
                                                 byte[] outputBytes,
                                                 java.lang.String post)

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in interface `GenericFileInterface`

    - #### getLocalUrl

          static java.lang.String getLocalUrl(GenericFileInterface file)